/* Estilización básica del formulario y sus elementos */

form {
    font-family: 'Arial', sans-serif; /* Cambia la fuente si lo prefieres */
    margin: 20px;
    padding: 20px;
    border: 1px solid #ccc;
    border-radius: 5px;
    background-color: #f9f9f9;
}

div {
    margin-bottom: 15px;
}

label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
}

input[type="text"],
input[type="number"] {
    width: 100%;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

/* Estilos para los mensajes de error */

.error-message {
    color: red;
    font-size: 12px;
    font-weight: bold;
}

/* Si quieres algún espacio entre el header y el formulario */

app-header-tipo-a {
    margin-bottom: 20px;
}

/* Estilos para el botón, asumiendo que no tiene estilos definidos dentro del componente */

app-boton-tipo-a {
    display: block; /* Asume que el componente del botón es un elemento block */
    margin-top: 20px;
}
